<template>
  <slot>
    <MLayerRaster />
  </slot>
</template>

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/sources/#image

import {
  propsSource,
  propsSourceBitmap,
  propsSourceImage
} from './shared/props.js'

export const opts = Object.assign({},
  propsSource,
  propsSourceBitmap,
  propsSourceImage
)
</script>

<script setup>
import { setupSource } from './shared/setup.js'
import MLayerRaster from '@/components/layers/MLayerRaster.vue'

const type = 'image'
const props = defineProps(opts)
const { source } = setupSource(type, opts, props)

defineExpose({ source })
</script>
